--- /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp	2009-09-03 00:10:55.000000000 -0400
+++ /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp.new	2009-09-24 20:00:57.000000000 -0400
@@ -3,9 +3,19 @@
 ;;; Copyright (C) 2000,2004  Peter Van Eynde and Kevin M. Rosenberg
 ;;; Licensed under the LLGPL, see debian/copyright file
 
-
 (in-package #:cl-user)
 
+#+ecl ;; Hush ECL
+(setf *load-verbose* nil
+      *load-print* nil)
+
+;; use the implementation-provided asdf version for increased
+;; compatibility with the normal sbcl or ecl
+
+#+(or sbcl ecl)
+(require :asdf)
+
+
 (defpackage #:common-lisp-controller
   (:use #:common-lisp)
   (:export #:init-common-lisp-controller
@@ -18,11 +28,11 @@
 	   #:calculate-fasl-root
 	   #:list-systems
 	   #:*redirect-fasl-files-to-cache*
-	   ;; depricated:
+	   ;; deprecated:
 	   #:make-clc-send-command-string
 	   #:send-clc-command)
   (:nicknames #:clc
-					; depricated:
+					; deprecated:
 	      #:c-l-c))
 
 (in-package #:common-lisp-controller)
@@ -58,7 +68,7 @@
 (defun init-common-lisp-controller-v5 (implementation-name)
   ;; register the systems root:
   (setf *implementation-name* implementation-name)
-  
+
   (pushnew :common-lisp-controller *features*)
   (pushnew :clc-os-debian *features*))
 
@@ -89,7 +99,7 @@
 	       ;; this is complex because ecl
 	       ;; should produce system fasls,
 	       ;; and they have .o extension
-	       (merge-pathnames 
+	       (merge-pathnames
 		(make-pathname :type "o")
 		(fasl-filename package-name filename)))
 	     (fasl-filename (package-name filename)
@@ -125,13 +135,13 @@
 		 ;; return fasl filename
 		 compiled-file-pathname
 		 ;; now for ecl: make the system file
-		 #+ecl 
+		 #+ecl
 		 (compile-file file-path
 			       :output-file
 			       (system-fasl-filename package-name filename)
 			       :print nil
 			       :verbose nil
-			       ;; make 'linkable object files' 
+			       ;; make 'linkable object files'
 			       :system-p t))))
 
       ;; then asdf:
@@ -139,12 +149,6 @@
       #+sbcl
       (when (boundp 'sb-ext::*module-provider-functions*)
 	(pushnew :sbcl-hooks-require cl:*features*))
-      
-      ;; use the sbcl asdf version for increased
-      ;; compatibility with the normal sbcl
-      
-      #+sbcl
-      (require :asdf)
 
       ;; return a list
       (prog1
@@ -155,11 +159,11 @@
 	    (compile-and-load  "common-lisp-controller"
 			       "common-lisp-controller.lisp")
 	    ;; asdf
-	    #-sbcl
+	    #-(or sbcl ecl)
 	    (compile-and-load  "cl-asdf" "asdf.lisp")
-	    
+
 	    (compile-and-load  "cl-asdf" "wild-modules.lisp")
-	    
+
 	    ;; now patch it::
 	    (compile-and-load "common-lisp-controller"
 			      "post-sysdef-install.lisp"))
